---
title: Retrieve object characteristics
method: GET
weight: 3
section: 'Basics'
---

import {
  EndpointHeader,
  ParamField,
  ParamFields,
  RequestExample,
  ResponseExample,
  CodeGroup,
} from '@/components/api';

<EndpointHeader method="GET" path="/api/v1/stations/:id/characteristics" />

Returns the physical characteristics of a metering unit by its identifier.

<ParamFields title="Path parameters">
  <ParamField name="id" type="integer" required>
    Metering unit identifier.
  </ParamField>
</ParamFields>

## Response fields

| Attribute          | Description                                                |
| ------------------ | ---------------------------------------------------------- |
| `id`               | Identifier (unique key) of the metering unit in the system |
| `gas_boiler`       | Presence of a gas boiler                                   |
| `gas_stove`        | Presence of a gas stove                                    |
| `gas_water_heater` | Presence of a gas water heater                             |
| `resident_count`   | Number of residents (people)                               |
| `heated_area`      | Heated area (m²)                                           |

<RequestExample>
  <CodeGroup labels={["curl", "Node", "Python", "Go", "PHP"]}>
    <Fragment slot="panel-0">

```bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/stations/3318/characteristics"
```

    </Fragment>
    <Fragment slot="panel-1">

```js
const res = await fetch('https://uztgs.uz/api/v1/stations/3318/characteristics', {
  headers: {
    'access-token': '*********************',
    'token-type': 'Bearer',
    client: '**********************',
    uid: 'user@local.net',
    'Content-Type': 'application/json',
  },
});
const data = await res.json();
```

    </Fragment>
    <Fragment slot="panel-2">

```python
import requests

res = requests.get(
    "https://uztgs.uz/api/v1/stations/3318/characteristics",
    headers={
        "access-token": "*********************",
        "token-type": "Bearer",
        "client": "**********************",
        "uid": "user@local.net",
        "Content-Type": "application/json",
    },
)
data = res.json()
```

    </Fragment>
    <Fragment slot="panel-3">

```go
req, _ := http.NewRequest("GET", "https://uztgs.uz/api/v1/stations/3318/characteristics", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "user@local.net")
req.Header.Set("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)
```

    </Fragment>
    <Fragment slot="panel-4">

```php
$ch = curl_init("https://uztgs.uz/api/v1/stations/3318/characteristics");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "access-token: *********************",
    "token-type: Bearer",
    "client: **********************",
    "uid: user@local.net",
    "Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);
```

    </Fragment>

  </CodeGroup>
</RequestExample>

<ResponseExample>

```json
{
  "data": {
    "id": 3318,
    "gas_boiler": "false",
    "gas_stove": "false",
    "gas_water_heater": "true",
    "resident_count": "22",
    "heated_area": null
  }
}
```

</ResponseExample>
